\name{posum simulation}
\alias{pcdr}
\alias{rec}
\title{Simulating Population Surface Models}
\description{Routines that specify per capita death rate and recruitment functions for
simulating population surface data}
\usage{pcdr(a,t)

rec(t)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{a}{array of ages at which per capita death rates is required.}
\item{t}{array of times at which per capita death rates or recruitment rates 
are required.}
}

\details{ These functions are called by routines \code{survival} and 
\code{population} in order to calculate the population per unit age interval 
that they imply at any given age and time. The user should modify these
functions in order to simulate from a different model. Note that they
take array arguments.
}
\value{ The functions returns arrays of recruitment rates or per capita death 
rates at the specified times or ages and times.
}
\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{death.surface}},
\code{\link{population}},
\code{\link{population.data}},
\code{\link{population.surface}},
\code{\link{sim.age.bound}},
\code{\link{survival}},
}

\examples{
old.pcdr<-pcdr;old.rec<-rec
pcdr<-function(a,t) {0*a+0.01} # constant pcdr function
rec<-function(t) {r<-t;r[t<0]<-1;r[t>=0]<-exp(-0.02*t[t>=0]);r} 
population.surface(10,10,30,con=TRUE)
death.surface(10,10,30,con=TRUE) 
rec<-old.rec;pcdr<-old.pcdr
}
\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..




