\name{posum.atplot}
\alias{posum.atplot}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Check posum age boundaries}
\description{ Produces a plot illustrating the stage boundaries assumed used by
posum, along with sampling times, which stages have data at which sample times,
and the location of any point estimates of surface height.}

\usage{
posum.atplot(data,n.grid)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{data}{A data frame containing the following named variables:
   \item{y}{The stage population data. This may contain \code{NA}'s: 
            a feature whose prime function is to allow the user to 
            supply extra information about stage boundaries, if
            needed.}
   \item{stage}{Which stage each element of \code{y} relates to.}
   \item{a0}{The lower age boundary for this observation.}
   \item{a1}{The upper age boundary for this observation. \code{NA} 
             implies an adult stage. If an element is equal to the
             corresponding \code{a0} element then the corresponding
             \code{y} is taken as a direct observation of the population
             surface height (rather than the usual integral under it.)}
   \item{t}{Sample time for each observation.}
}
\item{n.grid}{ The number of time points to use for plotting the age boundaries - more for
a smoother curve.}
}

\details{ Age boundaries are shown as continuous black curves. Red lines indicate each 
sample-time-stage combination for which there is an observation. Adult observations are 
shown by red lines not terminating at a black stage boundary curve. Locations of point 
observations of the surface height are marked by red circles.
}
\value{ The function produces a plot.
}
\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{age.max}},
\code{\link{cm.splinefun}},
\code{\link{hyman.filter}},
\code{\link{posum.check}},
\code{\link{stage.bound}},
}

\examples{
data<-population.data(fam="p",adult=TRUE) #simulate data
posum.atplot(data)
}
\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..











