\name{posum.check}
\alias{posum.check}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Check a posum input dataframe}
\description{Performs simple checks on the input data for posum: mostly just checking that there are 
no missing values where they are not allowed. Returns \code{TRUE} if dataframe contains adult data, \code{FALSE} 
otherwise.}

\usage{
posum.check(data)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{data}{A data frame containing the following named variables:
   \item{y}{The stage population data. This may contain \code{NA}'s: 
            a feature whose prime function is to allow the user to 
            supply extra information about stage boundaries, if
            needed.}
   \item{stage}{Which stage each element of \code{y} relates to.}
   \item{a0}{The lower age boundary for this observation.}
   \item{a1}{The upper age boundary for this observation. \code{NA} 
             implies an adult stage. If an element is equal to the
             corresponding \code{a0} element then the corresponding
             \code{y} is taken as a direct observation of the population
             surface height (rather than the usual integral under it.)}
   \item{t}{Sample time for each observation.}
}
}

\details{ Missing stage populaiton data is allowed in the input dataframe to \code{posum}, but missing age
 boundaries and sample times are not (except for upper boundary of an adult stage). This routine checks an input
datafraem for illegal missing values.}

\value{ Returns \code{TRUE} if \code{data} contains information on an adult (indeterminate duration) stage, 
\code{FALSE} otherwise. Will stop with an error if illegal missing values are encountered.

}
\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum}},

}

\examples{
data<-population.data(fam="p",adult=TRUE) #simulate data
posum.check(data)
}
\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..




