\name{posum.fit}
\alias{posum.fit}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Fitting posum models}
\description{ This routine fits a population surface model to age structured
population data. It is not usually called directly, but is rather a service 
routine for \code{posum}. It is a modification of \code{gam.fit}.}
\usage{
posum.fit(G, start = NULL, etastart = NULL, mustart = NULL, family = gaussian(), 
    control = gam.control(), nb.iter = NULL) 
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{G}{A modified version of the object returned by calls to \code{gam.setup} and \code{GAMsetup}.}
\item{start}{optional parameter start values.}
\item{etastart}{optional linear predictor start values.}
\item{mustart}{optional fitted value start values.}
\item{family}{family object - actually only \code{gaussian}, \code{poisson} or \code{gamma} with identity 
links, should really be used.}
\item{control}{control list for fitting - see \code{gam.control}.}
\item{nb.iter}{Don't use!}
}

\details{ Essentially a GAM IRLS fitting loop, but with the \code{mgcv} call followed by a call to 
\code{pcls} to fit subject to the constraints. Also, fitted values are reset to a small number if too small, to avoid negative numbers.}

\value{ Returns fitted mopdel object.}
}
\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum}},
\code{\link{mgcv}}
}


\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..




