\name{posum.options}
\alias{posum.options}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Setting posum options}
\description{ Allows setting of some coefficients in \code{posum}.}
\usage{
posum.options(con.mesh=40,fdi=0.01,n.int=10,m.dint=3)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{con.mesh}{the non-negativity constraints will be applied on a 
\code{con.mesh} by \code{con.mesh} mesh over the age time plane.}
\item{fdi}{determines the finite difference interval to use when applying 
constraints or calcualting death rates. Typically an output time/age step is
 determined and the finite difference interval set to \code{fdi} multiplied 
by this. For example when creating constraints the smaller of the age and time 
interval of the constraint mesh is taken and multiplied by \code{fdi} to get 
the finite difference interval to use for death rate calcualtions.}
\item{n.int}{How many mesh points to use per stage when integrating under the 
population surface to set up the model matrix.}
\item{m.dint}{This is a multiplier used to find the integration timestep to 
use when integrating under the death rate surface. The time step is obtained 
by dividing the maximum age seen in the data by m.dint*d.int*ns, where ns is 
the number of stages being modelled. This interval is used as the target 
timestep, although the actual timestep is chosen so that a whole number of 
intervals is used for the integration.}
}
\keyword{models} \keyword{smooth} \keyword{regression}


\value{ A named list of the input arguments.}

\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum.con}},
\code{\link{posum}},
\code{\link{posum.X}},

}





