\name{posum.plot}
\alias{posum.plot}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Default posum model plotting}
\description{Produces population and death rate surface plots from a fitted
model object as produced by \code{posum}.}  

\usage{
posum.plot(b,fdi=b$options$fdi,m=b$options$con.mesh,con=FALSE,theta=60)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{b}{Fitted model object as produced by \code{posum} (basically a modified \code{gam} 
object).}
\item{fdi}{parameter used to control finite difference interval length used to obtain 
derivatives dequired for death rate estimation. The population and death surfaces are 
evaluated on a regular \code{m} by \code{m} mesh. The smaller of the age and time intervals 
of this mesh is multiplied by \code{fdi} to get the required finite difference interval.}
\item{m}{population and death rate surfaces are evaluated and plotted on regular \code{m}
by \code{m} meshes.}
\item{con}{if \code{TRUE} then contour plots are produced, otherwise perspective plots.}
\item{theta}{angle from which to view perspective plot.}
}

\details{Evaluation uses calls to \code{predict.gam} to evaluate the model on a regular grid.
Slightly shifted grids are used to obtain the death rates by finite differencing. 
}
\value{ Two plots are produced.}

\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum}},
\code{\link{posum.plot}},
\code{\link{posum.stage.plot}},
}

\examples{
data<-population.data(fam="p",adult=TRUE) #simulate data
b<-posum(data,fam="p")
op<-par(mfrow=c(2,2))
posum.plot(b)
posum.plot(b,con=TRUE)
par(op)
}
\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..




