\name{posum.stage.plot}
\alias{posum.stage.plot}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Stage specific posum fit plots}
\description{  produce stage specific plots from an object returned from 
posum(), if fit=FALSE then only the raw data is plotted.}

\usage{
posum.stage.plot(b,fit=TRUE)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{b}{A fitted model object as returned from \code{posum}.}
\item{fit}{if this is \code{TRUE} then the raw data and fitted values are plotted, otherwise 
just the raw data.}
}
\details{ Produces one plot for each stage, but does not alter graphics parameters. Fitted values 
are joined up by lines, but not by the smooth curves implied by the fitted model.}

\value{ Simply produces plots.}

\references{
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum.atplot}},
\code{\link{posum}},
\code{\link{posum.plot}},
\code{\link{posum.stage}},
}

\examples{
data<-population.data(fam="p",adult=TRUE) #simulate data
b<-posum(data,fam="p")
op<-par(mfrow=c(3,4))
posum.stage.plot(b)
rm(data,b)
par(op)
}
\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..




