\name{posum.surface}
\alias{posum.surface}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Evaluate a fitted population surface model.}
\description{ Produces data for plotting population or death surfaces for fitted
posum models, also produces the plot itself. }

\usage{ posum.surface(b,fdi=b$options$fdi,m=b$options$con.mesh,
type="p",plot=TRUE,con=FALSE,theta=60)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{b}{ A fitted \code{gam} object for a posum model with at least the extra 
variables.}
\item{fdi}{multiplier used to control finite difference intervals when obtaining 
death rates for a type 1 model.}
\item{m}{data is returned on and \code{m} by \code{m} mesh.}
\item{type}{\code{"p"} for population, \code{"d"} for total death rate or 
\code{"m"} for per capita mortality. }
\item{plot}{\code{TRUE} if a plot should be produced.}
\item{con}{\code{TRUE} if plot should be a contour plot, otherwise a perspective
plot is shown.}
\item{theta}{angle for viewing perspective plot.}
}

\details{ Routine calls \code{posum.pop.matrix} and \code{posum.death.matrix} to do the real work.
}
\value{ A list with items \code{a}, \code{t} and \code{z} is returned, suitable 
for plotting with a call such as: \code{contour(as,ts,res$z)}
}
\references{

Gu and Wahba (1991) Minimizing GCV/GML scores with multiple smoothing parameters 
via the Newton method. SIAM J. Sci. Statist. Comput. 12:383-398


Wood (2000) Modelling and Smoothing Parameter Estimation 
with Multiple Quadratic Penalties. JRSSB 62(2):413-428

Wood (2003) Thin Plate Regression Splines in press JRSSB
 
\url{http://www.ruwpa.st-and.ac.uk/simon.html}
}
\author{ Simon N. Wood \email{snw@st-and.ac.uk}}

\section{WARNING }{} 

\seealso{   
\code{\link{posum}}
\code{\link{age.max}},
\code{\link{cm.splinefun}},
\code{\link{death.surface}},
\code{\link{hyman.filter}},
\code{\link{pcdr}},
\code{\link{population}},
\code{\link{population.data}},
\code{\link{population.surface}},
\code{\link{posum.atplot}},
\code{\link{posum.check}},
\code{\link{posum.con}},
\code{\link{posum.fit}},
\code{\link{posum.options}},
\code{\link{posum.plot}},
\code{\link{posum.stage}},
\code{\link{posum.stage.plot}},
\code{\link{posum.X}},
\code{\link{rec}},
\code{\link{sim.age.bound}},
\code{\link{spl.coef.conv}},
\code{\link{stage.bound}},
\code{\link{survival}},
}

\keyword{models} \keyword{smooth} \keyword{regression}%-- one or more ..









